#include <stdio.h>
#include <stdlib.h>
#include <libgen.h>
#include <stat.h>

int main(int argc, char **argv) {
	if (argc < 2) {
        fprintf(stderr, "USAGE: %s val1 val2 ...\n\
where val1, val2, etc. are floating point numbers\n", basename(argv[0]));
		return EXIT_FAILURE;
	}

    int count = argc-1;
	double tab[count];

	for (int i = 0; i < count; i++) {
		char *str = argv[i+1];
		tab[i] = atof(str);
	}

	printf("min = %f\n", min(tab, count)); 
	printf("max = %f\n", max(tab, count)); 
	printf("avg = %f\n", average(tab, count)); 

	return EXIT_SUCCESS;
}
